const express = require("express");
const isAuth = require("../../../../middlewares/authorization");

const {
  getAllNotificationsPaginate,
  markNotificationAsRead,
  getUnreadNotifications
} = require("../../../../controllers/seller/notifications");

const router = express.Router();

router.get("/", isAuth, getAllNotificationsPaginate);
router.post("/:id/mark-as-read", isAuth, markNotificationAsRead);
router.get("/notif-count", isAuth, getUnreadNotifications)

module.exports = router;
